# Get a single role GET https://app.unleash-instance.example.com/api/admin/roles/{roleId} **Enterprise feature** Get a single role by role id Reference: https://docs.getunleash.io/api/get-role-by-id ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get a single role version: endpoint_users.getRoleById paths: /api/admin/roles/{roleId}: get: operationId: get-role-by-id summary: Get a single role description: |- **Enterprise feature** Get a single role by role id tags: - - subpackage_users parameters: - name: roleId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: roleWithPermissionsSchema content: application/json: schema: $ref: '#/components/schemas/roleWithPermissionsSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '404': description: The requested resource was not found. content: {} components: schemas: adminPermissionSchema: type: object properties: id: type: integer description: The identifier for this permission name: type: string description: The name of this permission displayName: type: string description: The name to display in listings of permissions type: type: string description: >- What level this permission applies to. Either root, project or the name of the environment it applies to environment: type: - string - 'null' description: Which environment this permission applies to required: - id - name - displayName - type roleWithPermissionsSchema: type: object properties: id: type: number format: double description: The role id type: type: string description: >- A role can either be a global `root` role, or a `project` role or a `custom` project role or a custom global `root-custom` role name: type: string description: The name of the role description: type: string description: >- A more detailed description of the role and what use it's intended for permissions: type: array items: $ref: '#/components/schemas/adminPermissionSchema' description: A list of permissions assigned to this role required: - id - type - name - permissions ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/roles/roleId" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/roles/roleId'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/roles/roleId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/roles/roleId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/roles/roleId") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/roles/roleId', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/roles/roleId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/roles/roleId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```